Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::GlobalMarker Struct Referencefinal

GLOBAL_MARKER. More...

`#include <GlobalMarker.h>`

Inheritance diagram for Vector::BLF::GlobalMarker:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint32_t | commentedEventType {}
| commented event type
uint32_t | foregroundColor {}
uint32_t | backgroundColor {}
uint8_t | isRelocatable {}
uint8_t | reservedGlobalMarker1 {}
uint16_t | reservedGlobalMarker2 {}
uint32_t | groupNameLength {}
| group name length in bytes
uint32_t | markerNameLength {}
| marker name length in bytes
uint32_t | descriptionLength {}
| description length in bytes
uint32_t | reservedGlobalMarker3 {}
uint64_t | reservedGlobalMarker4 {}
std::string | groupName {}
| group name
std::string | markerName {}
| marker name
std::string | description {}
| description
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

GLOBAL_MARKER.

Global Marker assigned to another event or to a time stamp.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::GlobalMarker::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::GlobalMarker::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::GlobalMarker::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ backgroundColor

uint32_t Vector::BLF::GlobalMarker::backgroundColor {}

Background color of the marker group.

## ◆ commentedEventType

uint32_t Vector::BLF::GlobalMarker::commentedEventType {}

commented event type

Type of the commented events

## ◆ description

std::string Vector::BLF::GlobalMarker::description {}

description

Description text.

## ◆ descriptionLength

uint32_t Vector::BLF::GlobalMarker::descriptionLength {}

description length in bytes

Length of description without ending 0.

## ◆ foregroundColor

uint32_t Vector::BLF::GlobalMarker::foregroundColor {}

Foreground color of the marker group.

## ◆ groupName

std::string Vector::BLF::GlobalMarker::groupName {}

group name

Group name.

## ◆ groupNameLength

uint32_t Vector::BLF::GlobalMarker::groupNameLength {}

group name length in bytes

Length of groupName without ending 0.

## ◆ isRelocatable

uint8_t Vector::BLF::GlobalMarker::isRelocatable {}

Defines whether a marker can be relocated

## ◆ markerName

std::string Vector::BLF::GlobalMarker::markerName {}

marker name

Marker.

## ◆ markerNameLength

uint32_t Vector::BLF::GlobalMarker::markerNameLength {}

marker name length in bytes

Length of markerName without ending 0.

## ◆ reservedGlobalMarker1

uint8_t Vector::BLF::GlobalMarker::reservedGlobalMarker1 {}

reserved

## ◆ reservedGlobalMarker2

uint16_t Vector::BLF::GlobalMarker::reservedGlobalMarker2 {}

reserved

## ◆ reservedGlobalMarker3

uint32_t Vector::BLF::GlobalMarker::reservedGlobalMarker3 {}

reserved

## ◆ reservedGlobalMarker4

uint64_t Vector::BLF::GlobalMarker::reservedGlobalMarker4 {}

reserved

The documentation for this struct was generated from the following files:

- GlobalMarker.h
- GlobalMarker.cpp